/**
 * ***************************************************************************** Institute for
 * System Programming of the Russian Academy of Sciences Copyright (c) 2009-2013 All rights
 * reserved. This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * ****************************************************************************
 */
package com.unitesk.requality_git;

import java.util.ArrayList;
import java.util.List;

import org.osgi.framework.BundleContext;

import com.unitesk.requality.eclipse.cvs.CVSSourcePlugin;
import com.unitesk.requality.eclipse.cvs.ICVSClient;

public class CVCLOverGITPlugin extends CVSSourcePlugin {
  public static String ID = "org.eclipse.egit.core.GitProvider";

  @Override
  protected void actualStart(BundleContext bundleContext) throws Exception {}

  @Override
  public List<String> getSupportedTeamProvidersIDList() throws Exception {
    List<String> result = new ArrayList<String>();
    result.add(ID);
    return result;
  }

  @Override
  public ICVSClient getInstanceOfSVCClient() throws Exception {
    return new SVCGITClient();
  }

  @Override
  protected void actualStop(BundleContext bundleContext) throws Exception {}
}
