package com.unitesk.requality_git.comm;

import org.eclipse.core.resources.IResource;

public class VersionInfo {
  private IResource resource;
  private String vers;
  private String commit;
  private String msg;
  public VersionInfo(IResource r, String v, String c, String msg){
    resource = r;
    vers = v;
    commit = c;
    this.msg = msg;
  }
  public String getCommit(){
    return commit;
  }
  public String getMessage(){
    return msg;
  }
  public String getVersion(){
    return vers;
  }
  public IResource getResource(){
    return resource;
  }
  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    if(vers!=null){
      sb.append(vers);
      sb.append(": ");
    }
    sb.append(msg);
    addTabs(sb);
    sb.append("[");
    sb.append(commit);
    sb.append("]");
    return sb.toString();
  }
  private void addTabs(StringBuilder sb) {
//    while(sb.length()<100){
//      sb.append("_");
//    }
    //TODO mb add tabs
  }
  
}
